cc.Class({
    extends: cc.Component,

    properties: {
        holder: cc.Node
    },

    // use this for initialization
    onLoad() {
        this._cache = [];

        for (let n = 0; n <= 100; n++) {
            cc.loader.loadRes('cocos', (err, result) => {
                cc.loader.setAutoReleaseRecursively(result, true);
                this._cache.push(result);
                let node = cc.instantiate(result);
                this.holder.addChild(node);
            });
        }
    },

    release() {
        this.holder.removeAllChildren();

        this._cache.forEach(prefab => {
            let deps = cc.loader.getDependsRecursively(prefab);
            cc.loader.release(deps);
        });
    },
});