'use strict';

cc.Class({
    extends: cc.Component,

    properties: {
        holder: cc.Node
    },

    // use this for initialization
    onLoad: function onLoad() {
        var _this = this;

        this._cache = [];

        for (var n = 0; n <= 100; n++) {
            cc.loader.loadRes('cocos', function (err, result) {
                cc.loader.setAutoReleaseRecursively(result, true);
                _this._cache.push(result);
                var node = cc.instantiate(result);
                _this.holder.addChild(node);
            });
        }
    },
    release: function release() {
        this.holder.removeAllChildren();

        this._cache.forEach(function (prefab) {
            var deps = cc.loader.getDependsRecursively(prefab);
            cc.loader.release(deps);
        });
    }
});